@charset "UTF-8";
* {
  margin: 0;
  padding: 0;
}

/*Text Color*/
/*Media Querys*/
/*Screen Breakpoints*/
/*Notes
320px — 480px: Mobile devices
481px — 768px: iPads, Tablets
769px — 1024px: Small screens, laptops
1025px — 1200px: Desktops, large screens
1201px and more —  Extra large screens, TV
*/
/*Map of Screen Sizes*/
/*
 "mobile-sm":0px,
  "mobile": 480px,
  "tablet-sm": 481px,
  "tablet-md": 768px,
  "screen-sm": 769px,
  "screen-xm": 812px,
  "screen-md": 1024px,
  "screen-lg": 1025px,
  "screen-xl": 1270px,
  */
/*Media Query Diff Screens Portrait*/
/*0 to 480px*/
/*481 to 768px*/
/*769 to 1024px*/
/*1025 to 1270px*/
/*Media Query Diff Screens Landscape*/
/*480 to 812px*/
.navbar {
  display: flex;
  justify-content: center;
  align-items: center;
}

.navbar .company-name {
  text-decoration: none;
  color: white;
  padding: 15px;
  margin-right: auto;
}

.navbar ul {
  display: flex;
}

.navbar li {
  list-style: none;
  padding: 1rem;
  font-weight: bold;
}

.navbar .links {
  text-decoration: none;
  color: white;
}

.navbar .links:hover {
  color: black;
  border-bottom: 2px solid yellow;
}

.toggle {
  position: absolute;
  top: 0.75rem;
  right: 1rem;
  display: none;
  flex-direction: column;
  justify-content: space-between;
  width: 30px;
  height: 21px;
}

.toggle .bar {
  height: 3px;
  width: 100%;
  background-color: white;
}

/*Media Query Mobile*/
@media only screen and (max-width: 480px) {
  .toggle {
    display: flex;
  }
  .nav-links {
    display: none;
    width: 100%;
  }
  .nav-links ul {
    flex-direction: column;
  }
  .nav-links.active {
    display: block;
  }
  .navbar {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
  }
}

footer {
  min-height: 40px;
  background-color: #373737;
}

.socials-container {
  display: grid;
  justify-content: center;
  grid-template-columns: repeat(3, auto);
  padding: 12px;
  grid-template-columns: repeat(4, auto);
  gap: 26px;
}

.socials-container .social-pic {
  height: 40px;
}

.landing {
  min-height: 100vh;
  background-image: url(../img/landing-img.jpg);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  font-family: "Montserrat", Arial, Helvetica, sans-serif;
}

.landing .landing-text {
  height: 600px;
}

.landing .landing-text .parent {
  color: #ffffff;
  display: grid;
  justify-content: center;
  position: relative;
  top: 45%;
}

.landing .landing-text .parent .landing-desc {
  background-color: black;
}

.landing .landing-text .btn-intro {
  display: grid;
  justify-content: center;
  padding: 25px;
}

.landing .landing-text .btn-intro .btn-cta {
  height: 40px;
  width: 160px;
  border-radius: 6px;
  border: 1px solid #ffffff;
  cursor: pointer;
  background-color: #222121;
  color: #ffffff;
}

@media (max-width: 30em) {
  .landing .landing-text {
    text-align: center;
  }
  .landing .landing-text .landing-desc {
    line-height: 1.5;
  }
}

@media (min-width: 30.0625em) and (max-width: 48em) {
  .landing .landing-text {
    text-align: center;
  }
  .landing .landing-text .landing-desc {
    line-height: 1.5;
  }
}

.about-container {
  min-height: 400px;
  background-color: #292828;
  font-family: "Raleway", Arial, Helvetica, sans-serif;
  color: #ffffff;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

.about-container .about {
  min-height: 400px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 25px;
}

.about-container .about .prof-img {
  height: 300px;
  border-radius: 150px;
  padding-left: 18px;
}

.about-container .about .desc {
  color: #ffffff;
  padding: 10px;
  line-height: 1.8;
  width: 600px;
}

.about-container .skills-container .languages {
  display: grid;
  justify-content: center;
  grid-template-columns: repeat(3, auto);
  gap: 25px;
}

.about-container .skills-container .prog {
  height: 150px;
}

.about-container .skills-container .skills {
  text-align: center;
  padding-bottom: 20px;
}

.about-container .skills-container .credits {
  display: grid;
  justify-content: center;
  padding: 30px;
}

.about-container .skills-container .credits .link {
  text-decoration: none;
  color: #ffffff;
}

@media (max-width: 30em) {
  .about-container .about {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 25px;
  }
  .about-container .about .prof-img {
    padding: 20px;
  }
  .about-container .about .desc {
    text-align: center;
    width: auto;
  }
  .about-container .skills-container .languages {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(1, auto);
  }
}

@media (min-width: 30.0625em) and (max-width: 48em) {
  .about-container .about {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 25px;
  }
  .about-container .about .prof-img {
    padding: 20px;
  }
  .about-container .about .desc {
    text-align: center;
    width: auto;
  }
  .about-container .skills-container .languages {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(1, auto);
  }
}

.projects-container {
  min-height: 500px;
  padding-bottom: 25px;
  background-color: #2d2d2d;
  color: #ffffff;
  font-family: "Raleway", Arial, Helvetica, sans-serif;
}

.projects-container h1 {
  text-align: center;
}

.projects-container .project-list {
  min-height: 500px;
  display: grid;
  justify-content: center;
  grid-template-columns: repeat(3, auto);
  align-items: center;
  gap: 15px;
}

.projects-container .project-list .btn-div {
  display: grid;
  justify-content: center;
  grid-template-columns: repeat(3, auto);
  gap: 15px;
  padding: 12px;
}

.projects-container .project {
  min-height: 220px;
  width: 500px;
  border: 2px solid white;
  padding: 15px;
}

.projects-container .project .btn-projDemo {
  height: 40px;
  width: 120px;
  cursor: pointer;
  border: none;
  border-radius: 6px;
  background-color: #262323;
  border: 1px solid #ffffff;
  color: #ffffff;
}

.projects-container .project .btn-projDemo:hover {
  background-color: #000000;
  transition-duration: 1s;
}

.projects-container .technologies {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 25px;
}

.projects-container .technologies .prog {
  height: 40px;
}

@media (max-width: 340px) {
  .projects-container .project-list {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(1, auto);
  }
  .projects-container .project-list .btn-div {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(1, auto);
  }
  .projects-container .project {
    width: 250px;
  }
  .projects-container .project h1 {
    padding: 15px;
  }
}

@media (max-width: 30em) {
  .projects-container .project-list {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(1, auto);
  }
  .projects-container .project-list .btn-div {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(1, auto);
  }
  .projects-container .project {
    width: 250px;
  }
  .projects-container .project h1 {
    padding: 15px;
  }
}

@media (min-width: 30.0625em) and (max-width: 48em) {
  .projects-container .project-list {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(1, auto);
  }
  .projects-container .project-list .btn-div {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(1, auto);
  }
  .projects-container .project {
    width: 350px;
  }
  .projects-container .project h1 {
    padding: 15px;
  }
}

@media (min-width: 48.0625em) and (max-width: 64em) {
  .projects-container .project-list {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(1, auto);
  }
  .projects-container .project-list .btn-div {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(1, auto);
  }
  .projects-container .project {
    width: 350px;
  }
  .projects-container .project h1 {
    padding: 15px;
  }
}

@media (min-width: 64.0625em) and (max-width: 79.375em) {
  .projects-container .project-list {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(1, auto);
  }
  .projects-container .project-list .btn-div {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(1, auto);
  }
  .projects-container .project {
    width: 350px;
  }
  .projects-container .project h1 {
    padding: 15px;
  }
}

@media (min-width: 1271px) and (max-width: 1640px) {
  .projects-container .project-list {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(1, auto);
  }
  .projects-container .project-list .btn-div {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(1, auto);
  }
  .projects-container .project {
    width: 450px;
  }
  .projects-container .project h1 {
    padding: 15px;
  }
}

.contact-container {
  height: 500px;
  text-align: center;
  background-color: #292828;
  color: #ffffff;
}

.contact-container .con {
  padding: 15px;
}

.contact-container .form-container {
  display: grid;
  justify-content: center;
  grid-template-columns: repeat(1, auto);
  padding-bottom: 20px;
}

.contact-container .form-container label {
  padding: 10px;
}

.contact-container .form-container .txt-email,
.contact-container .form-container .txt-name {
  height: 35px;
  width: 450px;
}

.contact-container .form-container .txt-area {
  height: 200px;
  width: 450px;
}

.contact-container .form-container .btn {
  position: relative;
  left: 31%;
}

.contact-container .form-container .btn-sub {
  height: 40px;
  width: 160px;
  border-radius: 6px;
  border: 1px solid #ffffff;
  cursor: pointer;
  background-color: #222121;
  color: #ffffff;
}

@media (max-width: 30em) {
  .contact-container .form-container {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(1, auto);
  }
  .contact-container .form-container .txt-email,
  .contact-container .form-container .txt-name,
  .contact-container .form-container .txt-area {
    width: 100%;
  }
}

.blog-container {
  min-height: 550px;
  background-color: #262323;
  text-align: center;
}

.blog-container h1 {
  color: white;
  padding: 10px;
}

.blog-container #blog {
  display: grid;
  justify-content: center;
  align-items: center;
  line-height: 1.9;
  padding: 20px;
  color: white;
  text-align: center;
}

.blog-container #blog .intro,
.blog-container #blog .body,
.blog-container #blog .conclustion {
  width: 700px;
  text-align: center;
}

.blog-container #blog .pic1,
.blog-container #blog .pic2 {
  height: 200px;
  width: 700px;
}

@media (max-width: 30em) {
  .blog-container #blog .intro,
  .blog-container #blog .body,
  .blog-container #blog .conclustion {
    font-size: 13px;
    width: auto;
    text-align: center;
  }
  .blog-container #blog .pic1,
  .blog-container #blog .pic2 {
    width: 100%;
    height: auto;
  }
}

@media (min-width: 30em) and (max-width: 48em) {
  .blog-container #blog .intro,
  .blog-container #blog .body,
  .blog-container #blog .conclustion {
    font-size: 13px;
    width: auto;
    text-align: center;
  }
  .blog-container #blog .pic1,
  .blog-container #blog .pic2 {
    width: 100%;
    height: auto;
  }
}
/*# sourceMappingURL=style.css.map */